// pages/new/servantDetail/servantDetail.js

const util = require("../../../utils/util");
const api = require('../../../api/api.js');
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
    servantId:'',
    qrCode:''
  },

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad(options) {
    console.log("options",options);
    if(options){
      wx.showLoading({
        title: '加载中',
      })
      util.request(api.getServantQr, {
        servantId:options.servantId
      }, 'GET').then(res => {
        if (res.errno === 0) {
          wx.hideLoading()
          console.log(res);
          this.setData({
          	qrCode: res.data
          });
  
        }
      }).catch(err => {
  
      });
    }
  
	},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady() {

	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow() {

	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide() {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload() {

	},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage() {

  },

})