const app = getApp()
const util = require("../../../utils/util");
const api = require('../../../api/api.js');
const user = require('../../../utils/user.js');


import moment from 'moment'

Page({
  data: {
    ofJz:'',
    state: '',
    contractUrl: '',
    signTime: '',
    nbstate: '未签约',
    nbcontractUrl: '',
    nbsignTime: '',
    insuranceA: '',
    insuranceB: '',
    insuranceC: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {


  },

  onReachBottom() {

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let userInfo = wx.getStorageSync('userInfo');
    this.setData({
      ofJz:userInfo.ofJz
    })
    this.getState();
    this.getnbState();

  },
  getState() {
    let userInfo = wx.getStorageSync('userInfo');
    util.request(api.getFuwuhezuoContract, {
      workerNo: userInfo.workerNo
    }, 'GET').then(res => {
      if (res.errno === 0) {
        this.setData({
          state: res.data.signContractState,
          contractUrl: res.data.contractUrl,
          signTime: moment(res.data.signTime).format('YYYY-MM-DD HH:mm:ss'),
        });
      }
    }).catch(err => {});
  },
  signContract() {
    let userInfo = wx.getStorageSync('userInfo');
    wx.showLoading({
      title: '加载中...',
    });
    util.request(api.singFuwuhezuoxieyi, {
      workerNo: userInfo.workerNo
    }, 'GET').then(res => {
      wx.hideLoading();
      if (res.errno === 0) {
        this.getSignUrl(res.data);
      } else {
        wx.showToast({
          title: res.errmsg,
          icon: 'none'
        })
      }
    }).catch(err => {});
  },
  getSignUrl(id) {
    wx.showLoading({
      title: '加载中...',
    });
    util.request(api.selectContractSignUrl, {
      procedureId: id
    }, 'GET').then(res => {
      wx.hideLoading();
      if (res.errno === 0) {
        app.globalData.webViewUrl = res.data;
        wx.navigateTo({
          url: '/pages/upgrade/webView/webView',
        });
      } else {
        wx.showToast({
          title: res.errmsg,
          icon: 'none'
        })
      }
    }).catch(err => {});
  },
  viewContract() {
    app.globalData.webViewUrl = this.data.contractUrl;
    wx.navigateTo({
      url: '/pages/upgrade/webView/webView',
    })
  },


  getnbState() {
    let userInfo = wx.getStorageSync('userInfo');
    util.request(api.getXnbContract, {
      workerNo: userInfo.workerNo
    }, 'GET').then(res => {
      if (res.errno === 0) {
        this.setData({
           nbstate:res.data.signContractState,
          nbcontractUrl: res.data.contractUrl,
          nbsignTime: moment(res.data.signTime).format('YYYY-MM-DD HH:mm:ss'),
        });
      }
    }).catch(err => {});
  },

  initiateSigning() { 
    let userInfo = wx.getStorageSync('userInfo');
    let data = {
      workerNo:userInfo.workerNo,
      ylCity: this.data.insuranceA,
      yiLiaoCity: this.data.insuranceB,
      sbDw: this.data.insuranceC,
    }
    wx.showLoading({
      title: '加载中...',
    });
    util.request(api.signXnb, data, 'POST').then(res => {
      wx.hideLoading();
      if (res.errno === 0) {
        this.getSignUrl(res.data);
      } else {
        wx.showToast({
          title: res.errmsg,
          icon: 'none'
        })
      }
    }).catch(err => {});
  },

  viewnbContract() {
    app.globalData.webViewUrl = this.data.nbcontractUrl;
    wx.navigateTo({
      url: '/pages/upgrade/webView/webView',
    })
  },



  onChangeA(event) {
    this.data.insuranceA = event.detail
  },
  onChangeB(event) {
    this.data.insuranceB = event.detail
  },
  onChangeC(event) {
    this.data.insuranceC = event.detail
  },
  onHide: function () {

  },

  onUnload: function () {

  },


  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

})